%function pass = findPassedPixels(rect,gt,mask,thres)
%
% RECT  Rectified RGB image (dims:RxCx3, [0,1])
% GT    Ground-Truth RGB iamge (dims:RxCx3, [0,1])
% MASK  Mask of visible pixels (dims:RxC, [0,1])
% THRES Acceptance threshold (default 0.3)
%
function pass = findPassedPixels(rect,gt,mask,thres)

if nargin<4,thres=0.3;end

diff=sqrt(sum((rect-gt).^2,3));
pass=double(diff<thres);
if exist('mask','var')
    pass = pass .* mask;
end
