%function n = logmr(R)
%
% Convert a rotation matrix to axis-angle form
%
% (c) 2010 Erik Ringaby and Per-Erik Forssen

function n = logmr(R)

% anti-symmetric part of R
n=[R(3,2)-R(2,3);R(1,3)-R(3,1);R(2,1)-R(1,2)];
% n has length 2sin(phi)
nn=sqrt(sum(n(:).^2));
if(nn>0)
    % Make axis n a unit vector
    n=n/nn;
    % tr(R) = 1+2cos(phi)
    tn=R(1,1)+R(2,2)+R(3,3)-1;
    phi=atan2(nn,tn);
else
    phi=0;
end
% Axis-angle vector
n = n*phi;
