%
% Script to load and visualise a rotation trajectory
% as axis-angle vectors
%
% (c) 2010 Per-Erik Forssen

% Load a camera trajectory
cd ../house_rot2_B40/
P=getExMatrix;
cd ../evaluation/

frame_range=1:12;
row_range=1:480;

% Axis-angle array
N=zeros(3,frame_range(end)*row_range(end));

% Extract axis-angle vectors from cameras
for k=frame_range,
    for l=row_range,
        R=P{k,l}(:,1:3);
        N(:,(k-1)*row_range(end)+l)=logmr(R);
    end
end

figure(1);clf
plot3(N(1,:),N(2,:),N(3,:),'.-');
grid on
title('axis-angle plot of rotation trajectory')
